﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace SfDataGridFiltering
{
    public class Sales : INotifyPropertyChanged
    {
        private int salesID;

        public int SalesID
        {
            get { return salesID; }
            set { salesID = value; OnPropertyChanged("SalesID"); }
        }

        private Customer customerDetails;

        public Customer CustomerDetails
        {
            get { return customerDetails; }
            set { customerDetails = value; OnPropertyChanged("CustomerDetails"); }
        } 

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }
    }
}
