﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
//using System.Threading.Tasks;

namespace SfDataGridFiltering
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<dynamic> product;
        private Product pro;
        public ViewModel()
        {
            pro = new SfDataGridFiltering.Product();
            pro.PropertyChanged += pro_PropertyChanged;
            product = new ObservableCollection<dynamic>();           
            product = this.GetCustomerDetails();               
            
        }
     
       
        void pro_PropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            pro.PropertyChanged -= pro_PropertyChanged;
            var value = pro.ProductName;
            pro = new Product() { ProductName = value };
            pro.PropertyChanged+=pro_PropertyChanged;
            Product = new ObservableCollection<dynamic>() { pro };
        }
       
        private ObservableCollection<dynamic> GetCustomerDetails()
        {
            product = new ObservableCollection<dynamic>();
            if (product != null)
            {
                for (int i = 0; i < 100; i++)
                {
                    if(i==1)
                        product.Add(new Product()
                        {
                            ProductName = "ProductName" + i,
                            Average=i*3,
                            ShowCellIcon=false,
                            SalesDetails = new Sales()
                            {
                                SalesID = i,
                               // CustomerDetails = new Customer()
                               //{
                               //    CustomerName = "CustomerName" + i
                               //},
                            }
                        });
                    else
                    product.Add(new Product()
                    {
                        ProductName = "ProductName" + i,
                        ShowCellIcon=true,
                        Average=45.0789,
                        ProductID=1000*i,
                       SalesDetails = new Sales()
                        {
                            SalesID = i,
                            CustomerDetails = new Customer()
                            {
                                CustomerName = "CustomerName" + i,
                                Date=new DateTime(2014,6,21),
                                Avg = 10 + i
                            },
                        }
                    });
                }
                return product;
            }
            else
                return null;
        }

        public ObservableCollection<dynamic> Product
        {
            get { return product; }
            set { product = value; OnPropertyChanged("Customer"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        
        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
